package kr.co.vividnext.sodalive.live.room.dialog

import android.app.Activity
import android.view.LayoutInflater
import android.widget.LinearLayout
import kr.co.vividnext.sodalive.dialog.LiveDialog

class LivePaymentDialog(
    activity: Activity,
    layoutInflater: LayoutInflater,
    title: String,
    desc: String,
    confirmButtonTitle: String,
    confirmButtonClick: () -> Unit,
    cancelButtonTitle: String = "",
    cancelButtonClick: (() -> Unit)? = null,
) : LiveDialog(
    activity,
    layoutInflater,
    title,
    desc,
    confirmButtonTitle,
    confirmButtonClick,
    cancelButtonTitle,
    cancelButtonClick
) {
    init {
        val lp = dialogView.tvConfirm.layoutParams as LinearLayout.LayoutParams
        lp.weight = 2F
        dialogView.tvConfirm.layoutParams = lp
    }
}
